<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: twitter_feed_admin.php
| Version: 1.00
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";

if (file_exists(INFUSIONS."fp_twitter_feed/locale/".$settings['locale'].".php")) {
include INFUSIONS."fp_twitter_feed/locale/".$settings['locale'].".php";
} else {
include INFUSIONS."fp_twitter_feed/locale/English.php";
}

include INFUSIONS."fp_twitter_feed/infusion_db.php";

if (!checkrights("TWI") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) redirect("../index.php");

add_to_title($locale['global_200']." ".$locale['fptf003']);


add_to_head("<script type='text/javascript' src='".INFUSIONS."fp_twitter_feed/includes/js/jscolor/jscolor.js'></script>");
if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['fptf004'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['fptf005'];
	}
if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

   $twitter_feed_settings = dbarray(dbquery("SELECT * FROM ".DB_TWITTER_FEED.""));
    $error = 0;
	
	$twitter_feed_username = stripinput($twitter_feed_settings['username']);
	$twitter_feed_numtweets = stripinput($twitter_feed_settings['numtweets']);
	$twitter_feed_title = stripinput($twitter_feed_settings['title']);
	$twitter_feed_bgcolour = stripinput($twitter_feed_settings['twit_bg_colour']);
	$twitter_feed_list1bgcolour = stripinput($twitter_feed_settings['list1_bg_colour']);
	$twitter_feed_list1bordercolour = stripinput($twitter_feed_settings['list1_border_colour']);
	$twitter_feed_timecolour = stripinput($twitter_feed_settings['time_colour']);
	$twitter_feed_hypercolour = stripinput($twitter_feed_settings['hyper_colour']);
	$twitter_feed_hyperhovercolour = stripinput($twitter_feed_settings['hyper_hover_colour']);
	$twitter_feed_button=(isset($_POST['button']) && isNum($_POST['button'])) ? $_POST['button'] : "0";
	
if (isset($_POST['savetwitfeedsettings'])) {
    $result = dbquery("UPDATE ".DB_TWITTER_FEED." SET username='".addslashes($_POST['username'])."', numtweets='".addslashes($_POST['numtweets'])."', 
	title='".addslashes($_POST['title'])."', twit_bg_colour='".addslashes($_POST['twit_bg_colour'])."', list1_bg_colour='".addslashes($_POST['list1_bg_colour'])."', 
	time_colour='".addslashes($_POST['time_colour'])."', hyper_colour='".addslashes($_POST['hyper_colour'])."', hyper_hover_colour='".addslashes($_POST['hyper_hover_colour'])."', 
	button='$button'");
	
	if (!$result) { $error = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

	opentable($locale['fptf003']);

	echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."' onsubmit='return ValidateForm(this)'>\n";
    echo "<table cellpadding='0' cellspacing='0' width='80%' class='tbl-border' align='center'>\n<tr>\n";
	echo "<td class='tbl'>".$locale['fptf006'].":</td>\n";
    echo "<td class='tbl'><input type='text'  name='username' maxlength='50' value='".$twitter_feed_username."' class='textbox'><br />\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td class='tbl'>".$locale['fptf007'].":</td>\n";
    echo "<td class='tbl'><input type='text'  name='numtweets'  maxlength='2' value='".$twitter_feed_numtweets."' class='textbox' style='width: 25px;'><br />\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td class='tbl'>".$locale['fptf008'].":</td>\n";
    echo "<td class='tbl'><input type='text'  name='title' maxlength='50' value='".$twitter_feed_title."' class='textbox'><br />\n";
	echo "</select></td>\n</tr><tr>\n";
	echo " <td align='left' class='tbl'>".$locale['fptf010'].":</td>";
    echo " <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='twit_bg_colour' value='".$twitter_feed_settings['twit_bg_colour']."'/></td>\n";
	echo "</tr><tr>";
	echo " <td align='left' class='tbl'>".$locale['fptf011'].":</td>";
    echo " <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='list1_bg_colour' value='".$twitter_feed_settings['list1_bg_colour']."'/></td>\n";
	echo "</tr><tr>";
	echo " <td align='left' class='tbl'>".$locale['fptf012'].":</td>";
    echo " <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='time_colour' value='".$twitter_feed_settings['time_colour']."'/></td>\n";
	echo "</tr><tr>";
	echo " <td align='left' class='tbl'>".$locale['fptf013'].":</td>";
    echo " <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='hyper_colour' value='".$twitter_feed_settings['hyper_colour']."'/></td>\n";
	echo "</tr><tr>";
	echo " <td align='left' class='tbl'>".$locale['fptf014'].":</td>";
    echo " <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='hyper_hover_colour' value='".$twitter_feed_settings['hyper_hover_colour']."'/></td>\n";
	echo "</tr><tr>";
	echo "</select></td>\n</tr><tr>\n";
	echo "<td class='tbl' >".$locale['fptf025'].":</td>\n";
	echo "<td class='tbl' ><select name='button' class='textbox'>\n";
	echo "<option value='1'".($twitter_feed_settings['button'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
	echo "<option value='0'".($twitter_feed_settings['button'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
	echo "</select></td>\n</tr><tr>\n";
	echo "</table>\n";
	echo "<div width='80%' class='tbl' align='center'>\n";
	echo "<input type='submit' name='savetwitfeedsettings' value='".$locale['fptf015']."' class='button' />\n";
	echo "</div>\n";
	echo "</form>\n";
	//DO NOT REMOVE COPYRIGHT NOTICES
	echo "<div class='small' style='text-align:right;'>FP Twitter Feed Copyright&copy; 2012 <a href='http://www.fangree.com' target='_blank' title='Fangree Productions'>Fangree Productions</a></div>\n";
    closetable();
	
	add_to_footer("<script type='text/javascript'>
function ValidateForm(frm) {
    if(frm.username.value=='') {
		alert('".$locale['fptf016']."');
		return false;
	}
    if(frm.numtweets.value=='') {
		alert('".$locale['fptf017']."');
		return false;
	}
	if(frm.numtweets.value=='0') {
		alert('".$locale['fptf024']."');
		return false;
	}
	if(isNaN(frm.numtweets.value)) {
		alert('".$locale['fptf018']."');
		return false;
	}
	
}
</script>");
	
require_once THEMES."templates/footer.php";
?>