<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: jqtweet.php 
| Version: 1.00
| Author: Fangree Productions
| Developer: Fangree_Craig
| Site: http://www.fangree.com
+--------------------------------------------------------+
| JS Twitter by Kevin Liew 
| Site: http://www.queness.com/post/8567/create-a-dead-simple-twitter-feed-with-jquery
| Modified and Implemented for PHP-Fusion FP Twitter Feed by Fangree_Craig 
| Site: http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$fp_twitter_feed_check = dbquery("SELECT * FROM ".DB_ADMIN. " WHERE admin_title='".$locale['fptf001']."'");
if (dbrows($fp_twitter_feed_check) > 0) {

add_to_footer( "<script type='text/javascript'>
 JQTWEET = {
	
	// Set twitter username, number of tweets & id/class to append tweets
	user: '".$twitter_feed_settings['username']."',
	numTweets: ".$twitter_feed_settings['numtweets'].",
	appendTo: '#jstwitter',

	// core function of jqtweet
	loadTweets: function() {
		$.ajax({
			url: 'http://api.twitter.com/1/statuses/user_timeline.json/',
			type: 'GET',
			dataType: 'jsonp',
			data: {
				screen_name: JQTWEET.user,
				include_rts: true,
				count: JQTWEET.numTweets,
				include_entities: true
			},
			success: function(data, textStatus, xhr) {

			 var html = '<div class=\"list1\"><div style=\"float:left;\"><img style=\"float:left; vertical-align:middle; border: 0px; padding-right: 15px;\" alt=\"".$twitter_feed_settings['title']."\" src=\"IMG_URL\" /></div><span class=\"time\"  style=\"font-weight: bold;\">USER</span><span class=\"time\"> | AGO</span><br /><br />TWEET_TEXT<br /><br /><div style=\"margin-left: auto; margin-right: auto; width: 95%;\"><span class=\"time\" style=\"padding-left: 45px;\"><a style=\"cursor: pointer;\" onclick=\"window.open(\'http://twitter.com/intent/tweet?in_reply_to=ID\',\'\',\'location=no,scrollbars=yes,width=550,height=400,left=\'+(screen.availWidth/2-200)+\',top=\'+(screen.availHeight/2-200)+\'\');return false;\">".$locale['fptf019']."</a> - <a style=\"cursor: pointer;\" onclick=\"window.open(\'http://twitter.com/intent/retweet?tweet_id=ID\',\'\',\'location=no,scrollbars=yes,width=550,height=400,left=\'+(screen.availWidth/2-200)+\',top=\'+(screen.availHeight/2-200)+\'\');return false;\">".$locale['fptf020']."</a> - <a style=\"cursor: pointer;\" onclick=\"window.open(\'http://twitter.com/intent/favorite?tweet_id=ID\',\'\',\'location=no,scrollbars=yes,width=550,height=400,left=\'+(screen.availWidth/2-200)+\',top=\'+(screen.availHeight/2-200)+\'\');return false;\">".$locale['fptf021']."</a></span></div></div><div style=\"margin-bottom: 15px; margin-top: 15px; height: 5px;\"></div>';

				 // append tweets into page
				 for (var i = 0; i < data.length; i++) {
					$(JQTWEET.appendTo).append(
						html.replace('TWEET_TEXT', JQTWEET.ify.clean(data[i].text))
						.replace(/IMG_URL/g, data[i].user.profile_image_url)
							.replace(/USER/g, data[i].user.screen_name)
							.replace('AGO', JQTWEET.timeAgo(data[i].created_at))
							.replace(/ID/g, data[i].id_str)
					);

				 }					
			}	

		});
		
	}, 
	
		
	/**
      * relative time calculator FROM TWITTER
      * @param {string} twitter date string returned from Twitter API
      * @return {string} relative time like
      */
    timeAgo: function(dateString) {
		var rightNow = new Date();
		var then = new Date(dateString);
		
		if ($.browser.msie) {
			// IE can't parse these crazy Ruby dates
			then = Date.parse(dateString.replace(/( \+)/, ' UTC$1'));
		}

		var diff = rightNow - then;

		var second = 1000,
		minute = second * 60,
		hour = minute * 60,
		day = hour * 24,
		week = day * 7;

		if (isNaN(diff) || diff < 0) {
			return \"\"; // return blank string if unknown
		}

		if (diff < second * 2) {
			// within 2 seconds
			return \"right now\";
		}

		if (diff < minute) {
			return Math.floor(diff / second) + \" seconds ago\";
		}

		if (diff < minute * 2) {
			return \"about 1 minute ago\";
		}

		if (diff < hour) {
			return Math.floor(diff / minute) + \" minutes ago\";
		}

		if (diff < hour * 2) {
			return \"about 1 hour ago\";
		}

		if (diff < day) {
			return  Math.floor(diff / hour) + \" hours ago\";
		}

		if (diff > day && diff < day * 2) {
			return \"yesterday\";
		}

		if (diff < day * 365) {
			return Math.floor(diff / day) + \" days ago\";
		}

		else {
			return \"over a year ago\";
		}
	}, // timeAgo()
    
	
    /**
      * The Twitalinkahashifyer!
      * http://www.dustindiaz.com/basement/ify.html
      * Eg:
      * ify.clean('your tweet text');
      */
    ify:  {
      link: function(tweet) {
        return tweet.replace(/\b(((https*\:\/\/)|www\.)[^\"\']+?)(([!?,.\)]+)?(\s|$))/g, function(link, m1, m2, m3, m4) {
          var http = m2.match(/w/) ? 'http://' : '';
          return '<a class=\"twtr-hyperlink\" target=\"_blank\" href=\"' + http + m1 + '\">' + ((m1.length > 25) ? m1.substr(0, 24) + '...' : m1) + '</a>' + m4;
        });
      },

      at: function(tweet) {
        return tweet.replace(/\B[@@]([a-zA-Z0-9_]{1,20})/g, function(m, username) {
          return '<a target=\"_blank\" class=\"twtr-atreply\" href=\"http://twitter.com/intent/user?screen_name=' + username + '\">@' + username + '</a>';
        });
      },

      list: function(tweet) {
        return tweet.replace(/\B[@@]([a-zA-Z0-9_]{1,20}\/\w+)/g, function(m, userlist) {
          return '<a target=\"_blank\" class=\"twtr-atreply\" href=\"http://twitter.com/' + userlist + '\">@' + userlist + '</a>';
        });
      },

      hash: function(tweet) {
        return tweet.replace(/(^|\s+)#(\w+)/gi, function(m, before, hash) {
          return before + '<a target=\"_blank\" class=\"twtr-hashtag\" href=\"http://twitter.com/search?q=%23' + hash + '\">#' + hash + '</a>';
        });
      },

      clean: function(tweet) {
        return this.hash(this.at(this.list(this.link(tweet))));
      }
    } // ify

	
};



$(document).ready(function () {
	// start jqtweet!
	JQTWEET.loadTweets();
});
</script>");
}

?>